Generalization {
	fontName:"Segoe UI";
	routing:Rectilinear;
	lineColor:#000000
}


Association {
	fontName:"Segoe UI";
	routing:Rectilinear;
	lineColor:#000000;
}

Association > Label:sourceRole {
	visible:false;
}

Association > Label:sourceMultiplicity {
	visible:false;
}

Association > Label:targetRole {
	visible:false;
}

Association > Label:targetMultiplicity {
	visible:false;
}

 /* 
Association > Label:sourceRole {
	maskLabel: name multiplicity;
}
 
Association > Label:targetRole {
	maskLabel: name multiplicity;
}
 */

Association > Label:name {
	visible:false;
}

Class[appliedStereotypes~="Block"] {
	elementIcon:false;
	shapeStereotype: false;
	shapeDecorationStereotype: false;
	shapeTypedElement: false;
	displayTags:false;
}

 /*
Class[appliedStereotypes~="Block"] > Compartment[kind="attributes"] {
    visible:false;
    showTitle:false;
}

Class[appliedStereotypes~="Block"] > Compartment[kind="operations"] {
    visible:false;
    showTitle:false;
}

Class[appliedStereotypes~="Block"] > Compartment[kind="constraints"] {
    visible:false;
    showTitle:false;
}

*/

Property {
	maskLabel: name type defaultValue;
}


